%global srcname subliminal

Name:           python-%{srcname}
Version:        2.0.5
Release:        2%{?dist}
Summary:        Python library to search and download subtitles
License:        MIT
URL:            https://github.com/Diaoul/subliminal
Source:         https://github.com/Diaoul/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python3-devel 
# Doc building disabled
#BuildRequires:  python2-sphinx
#BuildRequires:  python2-futures
#BuildRequires:  python2-babelfish
#BuildRequires:  python2-guessit
#BuildRequires:  python2-sphinxcontrib-programoutput
# Tests disabled
#BuildRequires:  python2-pytest-runner
#BuildRequires:  python3-pytest-runner
#BuildRequires:  python2-futures
#BuildRequires:  python2-pytz
#BuildRequires:  python3-pytz
#BuildRequires:  python2-rarfile
#BuildRequires:  python3-rarfile
#BuildRequires:  python2-appdirs
#BuildRequires:  python3-appdirs
#BuildRequires:  python2-six
#BuildRequires:  python3-six
#BuildRequires:  python2-pysrt
#BuildRequires:  python3-pysrt
#BuildRequires:  python2-pbr
#BuildRequires:  python3-pbr
#BuildRequires:  python2-enzyme
#BuildRequires:  python3-enzyme
#BuildRequires:  python2-stevedore
#BuildRequires:  python3-stevedore
#BuildRequires:  python2-dogpile-cache
#BuildRequires:  python3-dogpile-cache
#BuildRequires:  python2-sympy
#BuildRequires:  python3-sympy
#BuildRequires:  python2-vcrpy
#BuildRequires:  python3-vcrpy
#BuildRequires:  python2-pytest-pep8
#BuildRequires:  python3-pytest-pep8
#BuildRequires:  python2-pytest-flakes
#BuildRequires:  python3-pytest-flakes
#BuildRequires:  python2-pytest-cov
#BuildRequires:  python3-pytest-cov

%global _description\
Subliminal is a Python library to search and download subtitles.\
It comes with an easy to use yet powerful CLI suitable for direct use or\
cron jobs.\
\
Subliminal uses multiple providers to give users a vast choice and have\
a better chance to find the best matching subtitles. Current supported\
providers are:\
\
 - Addic7ed\
 - LegendasTV\
 - NapiProjekt\
 - OpenSubtitles\
 - Podnapisi\
 - Shooter\
 - TheSubDB\
 - TvSubtitles

%description %_description

%package -n python2-%{srcname}
Summary:        %summary
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-babelfish
Requires:       python2-requests
Requires:       python2-guessit
Requires:       python2-pysrt
Requires:       python2-enzyme
Requires:       python2-beautifulsoup4
Requires:       python2-dogpile-cache
Requires:       python2-stevedore
Requires:       python2-chardet
Suggests:       %{name}-doc

%description -n python2-%{srcname} %_description

%package -n python3-%{srcname}
Summary:        %summary
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-babelfish                   
Requires:       python3-requests
Requires:       python3-guessit
Requires:       python3-pysrt
Requires:       python3-enzyme                      
Requires:       python3-beautifulsoup4
Requires:       python3-dogpile-cache
Requires:       python3-stevedore
Requires:       python3-chardet
Suggests:       %{name}-doc

%description -n python3-%{srcname} %_description

%package doc
Summary:        %summary

%description doc %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build
# Doc building disabled because it needs external resources
#pushd docs
#%%make_build html
#%%make_build text
#%%make_build man
#popd

%install
%py2_install
%py3_install

%check
# Tests disabled because they connect to online services
#%%{__python2} setup.py test
#%%{__python3} setup.py test

%files -n python2-%{srcname}
%license  LICENSE
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py*.egg-info

%files -n python3-%{srcname}
%license LICENSE
%{_bindir}/subliminal
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py*.egg-info

%files doc
%doc README.rst docs/index.rst docs/user docs/cassettes docs/api
%license LICENSE

%changelog
* Tue Aug 29 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 2.0.5-2
- Change Source URL
- Escape macros in comments
- Improve description

* Tue Aug 29 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 2.0.5-1
- Initial RPM release
